<?php

class productToNew extends Module
{
	private $_html = '';

	public function __construct()
	{
		$this->name = 'producttonew';
		$this->tab = 'front_office_features';
		$this->version = '1.0';
		$this->author = 'PrestaDev.ru';

		$this->bootstrap = true;
		parent::__construct ();

		$this->displayName = 'Позволяет отметить товар как "новый"';
	}

	public function install()
	{
		return parent::install() && $this->registerHook(['displayBackOfficeFooter']);
	}

	public function uninstall()
	{
		return parent::uninstall();
	}

	public function HookDisplayBackOfficeFooter($p)
	{
		if (get_class($this->context->controller) != 'AdminProductsController')
			return;
		if (Tools::isSubmit('updateproduct'))
			return;
		if (Tools::isSubmit('addproduct'))
			return;

		if (Tools::isSubmit('submitProductToNew'))
		{
			if ($productBox = Tools::getValue('productBox'))
			{
				foreach($productBox as $id_product)
				{
					Db::getInstance()->update('product', ['date_add' => date('Y-m-d')], '`id_product` = ' . (int)$id_product);
					Db::getInstance()->update('product_shop', ['date_add' => date('Y-m-d')], '`id_product` = ' . (int)$id_product);
				}
			}

			Tools::redirectAdmin('index.php?controller=AdminProducts&token=' . Tools::getAdminTokenLite('AdminProducts'));
		}

		return '
		<script type="text/javascript">
		$(document).ready(function()
		{
			if($(\'#form-product\').length)
			{
				$(\'.bulk-actions ul.dropdown-menu li:last\').after(\'<li class="divider"></li><li><button type="submit" name="submitProductToNew" class="btn btn-link"><i class="icon-umbrella"></i> Сделать выбранные товары новыми</button>\');
			}
		});
		</script>';
	}
}